Daemon Power

The NetBSD Packages Collection: converters/py-zfec

Brief description of the package:
Fast erasure codec

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://pypi.python.org/pypi/zfec/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "converters/py-zfec" directory. The current source version of the package is "py27-zfec-1.4.24nb2". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for converters/py-zfec :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py27-argparse-[0-9]* py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.5 py27-setuptools_trial-[0-9]* py37-twisted>=2.4.0 py37-attrs>=17.4.0 py37-automat>=0.3.0 py37-attrs>=16.1.0 py37-six-[0-9]* py37-m2r-[0-9]* py37-docutils-[0-9]* py37-expat>=0 py37-roman>=1.4 py37-mistune-[0-9]* py37-setuptools_scm-[0-9]* py37-constantly>=15.1 py37-hamcrest>=1.9.0 py37-six>=1.4 py37-hyperlink>=17.1.1 py37-idna>=2.5 py37-incremental>=16.10.1 py37-ZopeInterface>=4.4.2 py37-ZopeEvent-[0-9]* py37-OpenSSL>=16.0.0 py37-cryptography>=2.3 py37-asn1crypto>=0.21.0 py37-cffi>=1.11.4 py37-cparser-[0-9]* py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-six>=1.5.2 py37-service_identity-[0-9]* py37-OpenSSL>=0.12 py37-asn1-modules-[0-9]* py37-asn1>=0.4.1 py37-attrs-[0-9]* py37-characteristic>=14.0.0 py37-idna-[0-9]* py37-idna>=2.4 py27-pyutil>=1.3.19 py37-simplejson>=2.1.0 py27-expat-[0-9]* py27-setuptools>=0.8 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 py27-darcsver-[0-9]* py27-expat>=0 .

This package requires the following package(s) to run: py27-argparse-[0-9]* py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 python37>=3.7.5 py27-setuptools_trial-[0-9]* py37-twisted>=2.4.0 py37-attrs>=17.4.0 py37-automat>=0.3.0 py37-attrs>=16.1.0 py37-six-[0-9]* py37-constantly>=15.1 py37-hamcrest>=1.9.0 py37-six>=1.4 py37-hyperlink>=17.1.1 py37-idna>=2.5 py37-incremental>=16.10.1 py37-ZopeInterface>=4.4.2 py37-ZopeEvent-[0-9]* py37-OpenSSL>=16.0.0 py37-cryptography>=2.3 py37-asn1crypto>=0.21.0 py37-cffi>=1.11.4 py37-cparser-[0-9]* py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-six>=1.5.2 py37-service_identity-[0-9]* py37-OpenSSL>=0.12 py37-asn1-modules-[0-9]* py37-asn1>=0.4.1 py37-attrs-[0-9]* py37-characteristic>=14.0.0 py37-idna-[0-9]* py37-idna>=2.4 py27-pyutil>=1.3.19 py37-simplejson>=2.1.0 py27-expat-[0-9]* py27-setuptools>=0.8 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:py27-zfec-1.4.24nb2.tgz(NetBSD 9.0)
alpha:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
alpha:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
alpha:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
earm:py27-zfec-1.4.24nb1.tgz(NetBSD 7.0)
earm:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
earm:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
earm:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
earmv6hf:py27-zfec-1.4.24nb1.tgz(NetBSD 7.0)
earmv6hf:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
earmv6hf:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
earmv7hf:py27-zfec-1.4.24nb1.tgz(NetBSD 7.0)
earmv7hf:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
earmv7hf:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 6.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 6.1)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 7.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 7.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 7.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 7.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 7.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
i386:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
i386:py24-zfec-1.4.7nb1.tgz(QNX 6.5.0)
i386:py25-zfec-1.4.7nb1.tgz(QNX 6.5.0)
i386:py26-zfec-1.4.7nb1.tgz(QNX 6.5.0)
i386:py27-zfec-1.4.7nb1.tgz(QNX 6.5.0)
mips64eb:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
mips64eb:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
mips64eb:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
powerpc:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
powerpc:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
powerpc:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
powerpc:py27-zfec-1.4.24nb2.tgz(NetBSD 9.0)
sparc64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
sparc64:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
sparc64:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
sparc:py27-zfec-1.4.24nb1.tgz(NetBSD 7.0)
sparc:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
sparc:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.0)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.0)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.0)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.0)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.0)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 7.1)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)
x86_64:py27-zfec-1.4.24nb2.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]